Name:      plotutils
Version:   2.6
Release:   1
Summary:   GNU vector and raster graphics utilities and libraries
Group:     Applications/Productivity
License:   GPLv2+
URL:       http://www.gnu.org/software/plotutils/
Source0:   ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:   ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:   flex
BuildRequires:   libpng-devel >= 1.2.25

Requires: /sbin/install-info, info
Requires: libpng >= 1.2.25

%description
The GNU plotutils package contains software for both programmers and
technical users. Its centerpiece is libplot, a powerful C/C++ function
library for exporting 2-D vector graphics in many file formats, both
vector and raster. It can also do vector graphics animations. Besides
libplot, the package contains command-line programs for plotting
scientific data. Many of them use libplot to export graphics


%package devel
Summary:     Headers for developing programs that will use %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release}
Requires:    libpng-devel >= 1.2.25

%description devel
This package contains the header files needed for developing %{name}
applications


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --enable-shared --disable-static \
    --enable-libplotter \
    --enable-libxmi \
    --enable-ps-fonts-in-pcl
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf docs-to-include
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

mkdir docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/ode docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/pic2plot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/libplot docs-to-include
mv ${RPM_BUILD_ROOT}%{_datadir}/tek2plot docs-to-include

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
/sbin/install-info %{_infodir}/libxmi.info.gz %{_infodir}/dir || :
/sbin/install-info %{_infodir}/plotutils.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libxmi.info.gz %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/plotutils.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COMPAT COPYING NEWS THANKS README PROBLEMS KNOWN_BUGS
%doc docs-to-include/*
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*
%{_infodir}/*.info*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc TODO
%{_includedir}/*
%{_libdir}/*.la
/usr/include/*
/usr/lib/*.la


%changelog
* Tue Sep 29 2009 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 2.5-1
- first version for AIX V5.1 and higher
